Groundeddocs
ReferenceAdmin

Approve or deny a pending request, or revoke an approved one (takes effect on the next fetch)

POST/v1/admin/domain-requests/{requestId}/review

Path Parameters

requestId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/admin/domain-requests/497f6eca-6276-4993-bfeb-53cbbbba6f08/review" \  -H "Content-Type: application/json" \  -d '{    "decision": "approve"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",    "teamSlug": "string",    "teamName": "string",    "pattern": "string",    "reason": "string",    "status": "pending",    "requestedBy": "d834780c-1e92-44d4-9ca3-e84824c5c502",    "reviewedBy": "849e71dc-4e73-4d65-b54c-c7fc0faacffa",    "requester": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "displayName": "string",      "email": "string"    },    "reviewer": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "displayName": "string",      "email": "string"    },    "reviewNote": "string",    "reviewedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z"  }}